For the complete documentation index, see llms.txt. This page is also available as Markdown.

Compliance

Check transaction compliance

post

Check if transaction is not breaching compliance rules.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
accountIdstringRequired

Id of the target account

transactionone ofRequired

Transaction data to be checked

or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
Responses
200

Successful response

application/json
resultany ofRequired

Sanction compliance result.

const: OKOptional
or
const: SANCTIONEDOptional
post/compliance/check-transaction
POST /rest/compliance/check-transaction HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 275

{
  "accountId": "text",
  "transaction": {
    "amount": "text",
    "currency": "text",
    "maxFee": "text",
    "recipient": "text",
    "replacingTxHash": "text",
    "replacementReason": "boost",
    "replacementRecipient": {
      "to": "text",
      "amount": "text"
    },
    "type": "text",
    "feeStrategy": {
      "type": "SLOW",
      "feePerByte": "text"
    }
  }
}
{
  "result": "text"
}

Last updated